Package picard.vcf.processor

## Interface VariantProcessor.Accumulator<RESULT>

- All Known Implementing Classes:
    `CallingMetricAccumulator`, `GvcfMetricAccumulator`
  Enclosing class:
    VariantProcessor<RESULT,​ACCUMULATOR extends VariantProcessor.Accumulator<RESULT>>

      public static interface VariantProcessor.Accumulator<RESULT>

  Handles `VariantContext`s, and accumulates their data in some fashion internally. A call to `result()` produces an embodiment of the results of this processing (which may or may not be the accumulator itself).

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `accumulate​(htsjdk.variant.variantcontext.VariantContext vc)` |
    `RESULT` | `result()` |

- - ### Method Detail

    - #### accumulate

          void accumulate​(htsjdk.variant.variantcontext.VariantContext vc)

    - #### result

          RESULT result()